Bug 61613 - need kernel wireless.h v12
need kernel wireless.h v12
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc-kernheaders (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 23:13 EST by Matt Domsch
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 23:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2002-03-21 23:13:31 EST
Description of Problem:
glibc-kernheaders 2.4-7.11.i386.rpm on Hampton beta 3 (and whatever is on 
Hampton beta 2) includes a copy of linux/include/linux/wireless.h, version 11.  
The kernel has version 12, causing a mismatch that breaks iwconfig.  iwconfig 
complains about this mismatch.  On my Dell Latitude C400 which uses the 
wvlan_cs driver, this mismatch causes me to not be able to make changes via 
iwconfig (I can't turn off the encryption key, but can modify some other 
fields, while the essid field generally has garbage in it).

Copying linux/include/linux/wireless.h to /usr/include/linux per the 
instructions at http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html 
allowed me to rebuild wireless-tools so that iwconfig works again.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Matt Domsch 2002-03-21 23:25:45 EST
As a follow-on:
I copied /usr/src/linux-2.4/include/linux/wireless.h 
to /usr/include/wireless.h, and did an rpm --rebuild wireless-tools-
23.1.src.rpm (which built fine), then an rpm -Uvh --
force /usr/src/redhat/RPMS/i386/wireless-tools-23.1.i386.rpm.  That worked fine 
too.  But, /sbin/iwconfig eth0 still won't let me set the encryption 
key 'off'. :-(

Wireless tools v24pre5 built from source tarball works fine.  That includes 
wireless.h v14, but by default uses whatever is in <linux/wireless.h>, which in 
this case is now v12.
Comment 2 Arjan van de Ven 2002-03-22 04:00:40 EST
I happen to have done this 3 days ago ;)

Note You need to log in before you can comment on or make changes to this bug.